## org.apache.http.impl.client
Class BasicAuthCache

    java.lang.Object
      org.apache.http.impl.client.BasicAuthCache

All Implemented Interfaces:
  AuthCache

    @NotThreadSafe
    public class BasicAuthCache

extends Object
implements AuthCache

Default implementation of `AuthCache`.

Since:
  4.0

Constructor Summary
`BasicAuthCache()` Default constructor.

Method Summary
`void` `clear()`
`AuthScheme` `get(HttpHost host)`
`void` `put(HttpHost host, AuthScheme authScheme)`
`void` `remove(HttpHost host)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicAuthCache

    public BasicAuthCache()

  Default constructor.

Method Detail

### put

    public void put(HttpHost host,
                    AuthScheme authScheme)

  Specified by:
    `put` in interface `AuthCache`

### get

    public AuthScheme get(HttpHost host)

  Specified by:
    `get` in interface `AuthCache`

### remove

    public void remove(HttpHost host)

  Specified by:
    `remove` in interface `AuthCache`

### clear

    public void clear()

  Specified by:
    `clear` in interface `AuthCache`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.